using Lumina;
using Lumina.Excel.GeneratedSheets;

namespace GameDataExtractor;

internal class Worlds {
    private GameData Data { get; }

    internal Worlds(GameData data) {
        this.Data = data;
    }

    internal Dictionary<uint, string> Extract() {
        var worlds = new Dictionary<uint, string>();
        foreach (var world in this.Data.GetExcelSheet<World>()!) {
            if (!world.IsPublic) {
                continue;
            }

            worlds[world.RowId] = world.Name.RawString;
        }

        return worlds;
    }
}
